=== debian/changelog ===
ros-iron-plansys2-executor (2.0.11-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 01 Aug 2023 22:00:00 -0000

ros-iron-plansys2-executor (2.0.10-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/humble-devel'
  * Merge pull request #252 <https://github.com/PlanSys2/ros2_planning_system/issues/252> from PlanSys2/check_at_end
    Check at end reqs in bt builder
  * Check at end reqs in bt builder
  * Merge pull request #251 <https://github.com/PlanSys2/ros2_planning_system/issues/251> from PlanSys2/fix_bt_node
    Fix bt node
  * Change MultiThreaded for SingleThreaded in CI failing tests
  * Change double quotes for simple ones (linter)
  * Insert in blackboard the action ROS 2 Node
  * Merge pull request #247 <https://github.com/PlanSys2/ros2_planning_system/issues/247> from jjzapf/standalone-bt-builder
    Standalone BT Builder Service
  * Fixing cpplint warning.
  * Fixing cpplint warnings.
  * Checking for self-referencing edges in STNBTBuilder. Adding standalone compute_bt service.
  * Merge remote-tracking branch 'origin/master' into fix_goal_structure_issue_205
  * Merge pull request #240 <https://github.com/PlanSys2/ros2_planning_system/issues/240> from jjzapf/bt-builder-plugins
    New BT Builder and Plugin Interface
  * bt-builder-plugins: Setting default BT builder plugin to SimpleBTBuilder.
  * bt-builder-plugins: Creating BT builder plugin interface. Moving current BT builder to plugin named SimpleBTBuilder. Adding new and improved STN-based BT builder plugin named STNBTBuilder.
  * Merge remote-tracking branch 'origin/master' into fix_goal_structure_issue_205
  * Merge remote-tracking branch 'upstream/master'
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Contributors: Andrianov Roman, Francisco Martín Rico, Josh Zapf, Marco Roveri, Splinter1984

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 16 Jul 2023 22:00:00 -0000

ros-iron-plansys2-executor (2.0.9-1jammy) jammy; urgency=high

  * Humble Upgrade
  * Fix possible bug https://github.com/ros2/rclcpp/issues/1968
  * Expose lifecyclemanager timeout as a parameter, other misc fixes/features
  * Linters are explicit
  * Add ctor to ExecutorClient for varying node name
  * Fix uninitialized variable in ExecutorClient
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 09 Jul 2022 22:00:00 -0000

ros-iron-plansys2-executor (2.0.8-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-iron-plansys2-executor (2.0.7-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-iron-plansys2-executor (2.0.6-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-executor (2.0.5-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-executor (2.0.4-1jammy) jammy; urgency=high

  * Fix version
  * Merge pull request #223 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/223> from IntelligentRoboticsLabs/fix_threads_buildfarm
    Fix threads buildfarm
  * Fix ROS2 Buildfarm error due to Threads
  * Merge pull request #217 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/217> from jjzapf/check-action-finished
    Check action finished
  * check-action-finished: Putting leftover requirement check after state update in get_graph function.
  * check-action-finished: Use distinct names for temporary predicate/function variables inside of while loop.
  * check-action-finished: Reverting previous changes. Adding checks to WaitAction node to verify that action has finished.
  * check-action-finished: Fixing problem_expert.wait_overall_req_test in plansys2_executor/bt_node_test.cpp.
  * check-action-finished: Do not declare failure in check_overall_req_node if action has already finished.
  * Merge pull request #209 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/209> from sarcasticnature/master
    Improvements on recent BtActionNode changes
  * Merge pull request #216 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/216> from jjzapf/action-graph-bug-fix
    Plan-to-Action Graph Bug Fix
  * action-graph-bug-fix: Not applying at end effects when testing if actions can be run in parallel. Fixing bug in prune_backwards function.
  * Update unit tests to match changes
  * Remove extra do_work() call in on_activate()
    do_work() may call the function finish(), which will fail to deactivate
    the node if it is still in the on_activate callback.
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Merge pull request #208 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/208> from xydesa/plan-dotgraph-bug
    Plan dotgraph color bug
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Removing unused variable.
  * More accurately getting the status of an action by including the action's start time in the index for coloring the dotgraph.
  * Contributors: Alexander Xydes, Francisco Martín Rico, Jake Keller, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-executor (2.0.3-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-iron-plansys2-executor (2.0.2-1jammy) jammy; urgency=high

  * Use apply and check method to create action graph
  * plan-to-action-graph-mod: Using apply and check method to search for causal links.
  * generalize-is-parallelizable: Cleaning up comments a bit.
  * generalize-is-parallelizable: Checking for contradictions at any point in time in the is_parallelizable function.
  * generalize-is-parallelizable: Improving human readability.

