=== debian/control ===
Source: ros-iron-plansys2-executor
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libzmq3-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-index-cpp, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-behaviortree-cpp-v3, ros-iron-lifecycle-msgs, ros-iron-plansys2-core, ros-iron-plansys2-domain-expert, ros-iron-plansys2-msgs, ros-iron-plansys2-pddl-parser, ros-iron-plansys2-planner, ros-iron-plansys2-problem-expert, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclcpp-cascade-lifecycle, ros-iron-rclcpp-lifecycle, ros-iron-std-msgs, ros-iron-std-srvs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-plansys2-executor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libzmq3-dev, ros-iron-ament-index-cpp, ros-iron-behaviortree-cpp-v3, ros-iron-lifecycle-msgs, ros-iron-plansys2-core, ros-iron-plansys2-domain-expert, ros-iron-plansys2-msgs, ros-iron-plansys2-pddl-parser, ros-iron-plansys2-planner, ros-iron-plansys2-problem-expert, ros-iron-pluginlib, ros-iron-popf, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclcpp-cascade-lifecycle, ros-iron-rclcpp-lifecycle, ros-iron-std-msgs, ros-iron-std-srvs, ros-iron-ros-workspace
Description: This package contains the Executor module for the ROS2 Planning System
